=== modified file 'bzrlib/tests/per_workingtree/test_add.py'
--- bzrlib/tests/per_workingtree/test_add.py	2011-05-08 13:07:11 +0000
+++ bzrlib/tests/per_workingtree/test_add.py	2011-08-16 13:15:28 +0000
@@ -21,24 +21,15 @@
     inventory,
     tests,
     )
+from bzrlib.tests.matchers import HasLayout
 from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestAdd(TestCaseWithWorkingTree):
 
-    def get_tree_layout(self, tree):
-        """Get the (path, file_id) pairs for the current tree."""
-        tree.lock_read()
-        try:
-            return [(path, ie.file_id) for path, ie
-                    in tree.iter_entries_by_dir()]
-        finally:
-            tree.unlock()
-
     def assertTreeLayout(self, expected, tree):
         """Check that the tree has the correct layout."""
-        actual = self.get_tree_layout(tree)
-        self.assertEqual(expected, actual)
+        self.assertThat(tree, HasLayout(expected))
 
     def test_add_one(self):
         tree = self.make_branch_and_tree('.')

=== modified file 'bzrlib/tests/per_workingtree/test_move.py'
--- bzrlib/tests/per_workingtree/test_move.py	2011-07-25 02:51:30 +0000
+++ bzrlib/tests/per_workingtree/test_move.py	2011-08-16 13:15:28 +0000
@@ -24,6 +24,7 @@
     tests,
     )
 
+from bzrlib.tests.matchers import HasLayout
 from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 from bzrlib.tests import (
     features,
@@ -32,19 +33,9 @@
 
 class TestMove(TestCaseWithWorkingTree):
 
-    def get_tree_layout(self, tree):
-        """Get the (path, file_id) pairs for the current tree."""
-        tree.lock_read()
-        try:
-            return [(path, ie.file_id) for path, ie
-                    in tree.iter_entries_by_dir()]
-        finally:
-            tree.unlock()
-
     def assertTreeLayout(self, expected, tree):
         """Check that the tree has the correct layout."""
-        actual = self.get_tree_layout(tree)
-        self.assertEqual(expected, actual)
+        self.assertThat(tree, HasLayout(expected))
 
     def test_move_via_rm_and_add(self):
         """Move by remove and add-with-id"""

=== modified file 'bzrlib/tests/per_workingtree/test_rename_one.py'
--- bzrlib/tests/per_workingtree/test_rename_one.py	2011-07-11 06:47:32 +0000
+++ bzrlib/tests/per_workingtree/test_rename_one.py	2011-08-16 13:15:28 +0000
@@ -26,25 +26,16 @@
 from bzrlib.tests import (
     features,
     )
+from bzrlib.tests.matchers import HasLayout
 
 from bzrlib.tests.per_workingtree import TestCaseWithWorkingTree
 
 
 class TestRenameOne(TestCaseWithWorkingTree):
 
-    def get_tree_layout(self, tree):
-        """Get the (path, file_id) pairs for the current tree."""
-        tree.lock_read()
-        try:
-            return [(path, ie.file_id) for path, ie
-                    in tree.iter_entries_by_dir()]
-        finally:
-            tree.unlock()
-
     def assertTreeLayout(self, expected, tree):
         """Check that the tree has the correct layout."""
-        actual = self.get_tree_layout(tree)
-        self.assertEqual(expected, actual)
+        self.assertThat(tree, HasLayout(expected))
 
     def test_rename_one_target_not_dir(self):
         tree = self.make_branch_and_tree('.')

